<script lang="ts">
	import { XIcon } from 'svelte-feather-icons';
	import { fade } from 'svelte/transition';
	import { clickOutside } from 'svelte-use-click-outside';

	export let title: string;

	let open = false;

	function toggle() {
		open = !open;
	}
</script>

<div
	class="relative w-full md:w-1/4 flex justify-center"
	use:clickOutside={() => {
		open = false;
	}}
>
	<button
		on:click={toggle}
		class="underline cursor-pointer transition-colors duration-300 {open
			? 'text-primary-200'
			: 'text-white'}">{title}</button
	>
	{#if open}
		<div class="absolute top-full left-0 flex flex-col items-center" transition:fade>
			<div class="arrow-up" />
			<div
				class="bg-noir-800 p-2 flex flex-col gap-2 z-10 rounded-xl w-full items-center text-center shadow-2xl shadow-black"
			>
				<slot />
			</div>
		</div>
	{/if}
</div>

<style>
	.arrow-up {
		width: 0;
		height: 0;
		border-left: 10px solid transparent;
		border-right: 10px solid transparent;

		border-bottom: 10px solid rgb(14 14 14);
	}
</style>
